<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pixconsumer/_pixquerytemplate.xhtml">
            <ui:param name="managedBean" value="#{pixv3consumer}"/>
            <ui:param name="actorName" value="#{messages['gazelle.pam.PIXv3PatientIdentifierConsumer']}"/>
            <ui:param name="transactionName" value="#{messages['gazelle.pam.PIXv3Query']}"/>
            <ui:define name="sutSelectionDiv">
                <ui:include src="/hl7v3/sut/sutSelection.xhtml">
                    <ui:param name="senderDeviceId" value="#{pixv3consumer.senderDeviceId}"/>
                    <ui:param name="organizationOid" value="#{pixv3consumer.organizationOid}"/>
                    <ui:param name="sequenceDiagram" value="diag/PAT_IDENTITY_CONSUMER_v3.png"/>
                    <ui:param name="selectedSUT" value="#{pixv3consumer.selectedSUT}"/>
                    <ui:param name="availableSystems" value="#{pixv3consumer.availableSystems}"/>
                    <ui:param name="managedBean" value="#{pixv3consumer}"/>
                    <ui:param name="suffixId" value="pixv3"/>
                </ui:include>
            </ui:define>
            <ui:define name="personIdentifierParametersEdit">
                <div class="row">
                    <div class="form-horizontal col-md-8">
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="extensionIn"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.Identifierextension']})</ui:define>
                            <h:inputText value="#{pixv3consumer.searchedPid.fullPatientId}"
                                         styleClass="form-control"
                                         id="extensionIn"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="rootIn"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.AssigningAuthoritysOIDroot']})</ui:define>
                            <h:inputText value="#{pixv3consumer.searchedPid.domain.universalID}"
                                         styleClass="form-control" id="rootIn"/>
                        </s:decorate>
                    </div>
                    <div class="col-md-4"></div>
                </div>
            </ui:define>
            <ui:define name="personIdentifierParametersDisplay">
                <dl class="dl-horizontal">
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.Identifierextension']})</ui:define>
                        <h:outputText value="#{pixv3consumer.searchedPid.fullPatientId}"/>
                    </ui:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.AssigningAuthoritysOIDroot']})</ui:define>
                        <h:outputText value="#{pixv3consumer.searchedPid.domain.universalID}"/>
                    </s:decorate>
                </dl>
            </ui:define>
            <ui:define name="addDomainToReturnEdit">
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="uniIn"/>
                        <ui:define name="label">
                            #{messages['gazelle.simulator.AssigningAuthorityOID']}
                        </ui:define>
                        <h:inputText value="#{pixv3consumer.currentDomainReturned.universalId}"
                                     styleClass="form-control" id="uniIn"/>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="displayPatientIdentifier">
                <h:outputText value="#{pid.fullPatientId}"/>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>